Bug 1720756 - [V2V][UI] Password leak in popover when we cancel migration at initial stage, need better error handling
Summary: [V2V][UI] Password leak in popover when we cancel migration at initial stage,...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.6
Assignee: Daniel Berger
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On: 1716415
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-14 20:20 UTC by Satoe Imaishi
Modified: 2019-07-02 04:33 UTC (History)
5 users (show)

Fixed In Version: 5.10.6.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1716415
Environment:
Last Closed: 2019-07-02 04:33:28 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
Fixed (85.40 KB, image/png)
2019-06-25 19:43 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1644 None None None 2019-07-02 04:33:36 UTC

Comment 2 CFME Bot 2019-06-14 20:30:44 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/be181d476a05385cd27b62dc3701ec003d0ba28c
commit be181d476a05385cd27b62dc3701ec003d0ba28c
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Fri Jun 14 14:42:13 2019 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Fri Jun 14 14:42:13 2019 -0400

    Merge pull request #18852 from djberg96/conversion_host_password_filtering

    [V2V] Filter certain options in the ConversionHost#run_conversion method

    (cherry picked from commit 11c18abf79e0b9a14633f2fc83fcfd3e583e7375)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1720756

 app/models/conversion_host.rb | 12 +-
 spec/models/conversion_host_spec.rb | 7 +-
 2 files changed, 14 insertions(+), 5 deletions(-)

Comment 3 Shveta 2019-06-25 19:43:36 UTC
Created attachment 1584441 [details]
Fixed

Fixed in 5.10.6.1.20190621202107_58f5bbc

Comment 5 errata-xmlrpc 2019-07-02 04:33:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1644


Note You need to log in before you can comment on or make changes to this bug.